# =======================================================
# Person.py: Simplified model of a person ...
# 
# Written by: Mark Austin                   October, 2022 
# =======================================================

class Person:
  age = 0
  ssn = 0

  def __init__(self, fname, lname):
    self.firstname = fname
    self.lastname  = lname

  def printname(self):
    print("--- Name: {:s}, {:s}".format( self.firstname, self.lastname) )

  # Get first and last names ...

  def getFirstName(self): 
    return self.firstname 

  def getLastName(self): 
    return self.lastname 

  # Set/print age ...

  def setAge(self, age):
    self.age = age

  def printAge(self):
    print("--- Age = {:d} ".format(self.age) )

  # Set/print social security number ...

  def setSSN(self, ssn ):
    self.ssn = ssn

  def printSSN(self):
    print("--- Social Security No: {:d} ...".format(self.ssn) )
