# =======================================================
# TestColoredCircles.py: Exercise colored circle objects.
# 
# Written by: Mark Austin                   December 2022 
# =======================================================

from Circle import Circle
from ColoredCircle import ColoredCircle

# main method ...

def main():
    print("--- Enter TestCircles.main()        ... ");
    print("--- =============================== ... ");

    print("--- Part 1: Create and print circle ... ");

    x = Circle( 0.0, 0.0, 3.0 )
    print(x)

    print("--- Part 2: Create and print colored circle ... ");

    y = ColoredCircle( 0.0, 0.0, 0.0, "blue" )
    print(y)
    y.setRadius(1.0)
    print(y)
    y.setRadius(2.0)
    print(y)

    print("--- Part 3: Change coordinates and color ... ");

    y.setX( 1.0 )
    y.setY( 1.0 )
    y.setColor("red" )
    y.setRadius(3.0)

    print(y)

    print("--- =============================== ... ");
    print("--- Finished TestCircles.main()     ... ");

# call the main method ...

main()
