# =====================================================
# Small test program for polygons
# =====================================================

from Point import Point
from Polygon import Polygon

# main method ...

def main():
    print("--- Enter TestPolygon.main()        ... ");
    print("--- =============================== ... ");

    print("--- Part 1: Create vertices ... ");

    point1 = Point( 0,  0)
    point2 = Point( 3,  0)
    point3 = Point( 3,  4)
    point4 = Point( 0,  4)

    print("--- point1 --> ", point1 )
    print("--- point2 --> ", point2 )
    print("--- point3 --> ", point3 )
    print("--- point4 --> ", point4 )

    print("--- Part 2: Initialize triangle ... ");

    polygon1 = Polygon( [ point1, point2, point3 ] ) 
    print("--- perimeter --> %.2f ..." % (polygon1.get_perimeter()) )

    print("--- Part 3: Initialize rectangle ... ");

    polygon2 = Polygon( [ point1, point2, point3, point4 ] ) 
    print("--- perimeter --> %.2f ..." % (polygon2.get_perimeter()) )

    print("--- =============================== ... ");
    print("--- Finished TestPolygon.main()      ... ");

# call the main method ...

main()
