# =====================================================
# TestStudent.py: Exercise methods in Student class ...
# 
# Written by: Mark Austin                 November 2022
# =====================================================

from Student import Student
from datetime import date

# main method ...

def main():
    print("--- Enter TestStudents.main()             ... ");
    print("--- ===================================== ... ");

    print("--- Part 1: Create student Angela Austin ...")

    y = Student( "Angela", "Austin", date(2002,3,2) ,2023)
    y.setGpa(3.5)
    y.setSSN(1234)

    print("--- Part 2: Retrieve student parameters ...")

    print("---  First Name: {:s}".format( y.getFirstName() ) )
    print("---  Last Name: {:s}".format( y.getLastName() ) )
    print("---  Age = {:d}".format( y.getAge() ) )
    print("---  Social Security Number = {:d}".format( y.getSSN() ) )
    print("---  Is student: {:s}".format( str( y.isStudent()) ) )

    print("--- Part 3: Assemble string representation of student ...")

    print( y.__str__() )

    print("--- ===================================== ... ");
    print("--- Finished TestStudents.main()          ... ");

# call the main method ...

main()
