# =====================================================
# Illustrate polymorphism ...
# =====================================================

from Countries import NewZealand
from Countries import USA

# main method ...

def main():
    print("--- Enter TestCountries.main()             ... ");
    print("--- ====================================== ... ");

    # Create objects ...

    print("--- Part 01: Create country objects ... ");

    obj_nz  = NewZealand() 
    obj_usa = USA() 

    # Traverse list of countries ...

    print("--- Part 02: Traverse list of countries ... ");

    for country in (obj_nz, obj_usa): 
       country.capital() 
       country.language() 
       country.location() 

    print("--- ====================================== ... ");
    print("--- Finished TestCountries.main()   ... ");

# call the main method ...

main()
